## CallyStage CallyStage — Implementation of the ATK interfaces for a ClutterStage |

## Functions

AtkObject * | cally_stage_new ()

## Types and Values

struct | CallyStage
struct | CallyStageClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ╰── CallyGroup
                        ╰── CallyStage

## Implemented Interfaces

CallyStage implements AtkComponent, AtkAction and AtkWindow.

## Description

CallyStage implements the required ATK interfaces for ClutterStage

Some implementation details: at this moment CallyStage is used as the most similar Window object in this toolkit (ie: emitting window related signals), although the real purpose of ClutterStage is being a canvas. Anyway, this is required for applications using just clutter, or directly ClutterStage

## Functions

### cally_stage_new ()

    AtkObject *
    cally_stage_new (ClutterActor *actor);

Creates a new CallyStage for the given `actor` . `actor` should be a ClutterStage.

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since 1.4

## Types and Values

### struct CallyStage

    struct CallyStage;

The <structname>CallyStage</structname> structure contains only private data and should be accessed using the provided API

Since 1.4

### struct CallyStageClass

    struct CallyStageClass {
    };

The <structname>CallyStageClass</structname> structure contains only private data

Since 1.4

## See Also

ClutterStage